commit f62020c59ffb2d8ec84ff3328dddc06cd57d73ed
Author: Andreas Sturmlechner <andreas.sturmlechner@gmail.com>
Date:   Sat Apr 1 15:12:20 2017 +0200

    Replace KF5TextEditor with actual implicit deps

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 08a2104a..53d279fc 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -46,13 +46,14 @@ include(FeatureSummary)
 include(ECMInstallIcons)
 
 find_package(KF5 REQUIRED COMPONENTS
-    Bookmarks Config ConfigWidgets CoreAddons
-    DBusAddons DocTools I18n IconThemes ItemViews
-    JobWidgets KIO Notifications Parts Service
-    TextEditor Wallet WidgetsAddons
+    Bookmarks Codecs Completion Config
+    ConfigWidgets CoreAddons DBusAddons DocTools
+    I18n IconThemes ItemViews JobWidgets KIO
+    Notifications Parts Service TextWidgets
+    Wallet WidgetsAddons XmlGui
 )
 find_package(Qt5 REQUIRED COMPONENTS
-    Core DBus Gui Sql Widgets
+    Core DBus Gui Sql Widgets Xml
 )
 
 # Set the version
diff --git a/src/ksvnwidgets/CMakeLists.txt b/src/ksvnwidgets/CMakeLists.txt
index 44b8d219..2b0087c8 100644
--- a/src/ksvnwidgets/CMakeLists.txt
+++ b/src/ksvnwidgets/CMakeLists.txt
@@ -79,5 +79,11 @@ target_link_libraries(ksvnwidgets
     PUBLIC
         svnqt
         Qt5::Widgets
-        KF5::TextEditor
+        KF5::Completion
+        KF5::ConfigWidgets
+        KF5::I18n
+        KF5::KIOWidgets
+        KF5::Parts
+        KF5::TextWidgets
+        KF5::XmlGui
 )
